## org.apache.tools.ant.taskdefs.optional.javacc
Class JJTree

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.javacc.JJTree

public class JJTree
extends Task

Runs the JJTree compiler compiler.

Author:
  thomas.haas@softwired-inc.com, Michael Saunders michael@amtec.com

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JJTree()`

Method Summary
`void` `execute()` Called by the project to let the task do its work.
`void` `setBuildnodefiles(boolean buildNodeFiles)` Sets the BUILD_NODE_FILES grammar option.
`void` `setJavacchome(java.io.File javaccHome)` The directory containing the JavaCC distribution.
`void` `setMulti(boolean multi)` Sets the MULTI grammar option.
`void` `setNodedefaultvoid(boolean nodeDefaultVoid)` Sets the NODE_DEFAULT_VOID grammar option.
`void` `setNodefactory(boolean nodeFactory)` Sets the NODE_FACTORY grammar option.
`void` `setNodepackage(java.lang.String nodePackage)` Sets the NODE_PACKAGE grammar option.
`void` `setNodeprefix(java.lang.String nodePrefix)` Sets the NODE_PREFIX grammar option.
`void` `setNodescopehook(boolean nodeScopeHook)` Sets the NODE_SCOPE_HOOK grammar option.
`void` `setNodeusesparser(boolean nodeUsesParser)` Sets the NODE_USES_PARSER grammar option.
`void` `setOutputdirectory(java.io.File outputDirectory)` The directory to write the generated file to.
`void` `setStatic(boolean staticParser)` Sets the STATIC grammar option.
`void` `setTarget(java.io.File target)` The jjtree grammar file to process.
`void` `setVisitor(boolean visitor)` Sets the VISITOR grammar option.
`void` `setVisitorException(java.lang.String visitorException)` Sets the VISITOR_EXCEPTION grammar option.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JJTree

    public JJTree()

Method Detail

### setBuildnodefiles

    public void setBuildnodefiles(boolean buildNodeFiles)

  Sets the BUILD_NODE_FILES grammar option.

### setMulti

    public void setMulti(boolean multi)

  Sets the MULTI grammar option.

### setNodedefaultvoid

    public void setNodedefaultvoid(boolean nodeDefaultVoid)

  Sets the NODE_DEFAULT_VOID grammar option.

### setNodefactory

    public void setNodefactory(boolean nodeFactory)

  Sets the NODE_FACTORY grammar option.

### setNodescopehook

    public void setNodescopehook(boolean nodeScopeHook)

  Sets the NODE_SCOPE_HOOK grammar option.

### setNodeusesparser

    public void setNodeusesparser(boolean nodeUsesParser)

  Sets the NODE_USES_PARSER grammar option.

### setStatic

    public void setStatic(boolean staticParser)

  Sets the STATIC grammar option.

### setVisitor

    public void setVisitor(boolean visitor)

  Sets the VISITOR grammar option.

### setNodepackage

    public void setNodepackage(java.lang.String nodePackage)

  Sets the NODE_PACKAGE grammar option.

### setVisitorException

    public void setVisitorException(java.lang.String visitorException)

  Sets the VISITOR_EXCEPTION grammar option.

### setNodeprefix

    public void setNodeprefix(java.lang.String nodePrefix)

  Sets the NODE_PREFIX grammar option.

### setOutputdirectory

    public void setOutputdirectory(java.io.File outputDirectory)

  The directory to write the generated file to. If not set, the files are written to the directory containing the grammar file.

### setTarget

    public void setTarget(java.io.File target)

  The jjtree grammar file to process.

### setJavacchome

    public void setJavacchome(java.io.File javaccHome)

  The directory containing the JavaCC distribution.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.